from flask_jwt_extended import jwt_required
from flask_restplus import Namespace, Resource

from portal import logger
from portal.database.models import ClientType
from portal.rest.schemas import user_schema, worker_schema
from portal.service import permissions

client_namespace = Namespace('client')

log = logger.get_logger(__name__)


@client_namespace.route('')
class ClientController(Resource):
    @jwt_required
    # @users_namespace.response(200, 'List of users', model=users_schema)
    def get(self):
        perm_service = permissions.PermissionsService()
        client = perm_service.client_owner
        schema = user_schema if client.type == ClientType.USER else worker_schema
        return schema.dump(client)[0], 200
